<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// creacion de una clase: Caja
		// propiedades: color, ancho, alto
		// 
		let Caja=function(){
			this.color="";
			this.ancho=0;
			this.alto=0;
		}


		// creacion de dos objetos basados en esa clase
		// 
		let caja1=new Caja();
		let caja2=new Caja();

		caja1.ancho=200;
		caja1.alto=100;
		caja1.color="RED";

		caja2.ancho=150;
		caja2.alto=150;
		caja2.color="BLUE";

		// crear dos divs con esas especificaciones de los objetos
		// 
		
		window.addEventListener("load", function(){
 			let c1=document.querySelector(".uno"); // objeto de tipo element
 			let c2=document.querySelector(".dos");

 			c1.style.width=caja1.ancho +"px"; //hay que añadir las unidades
 			c1.style.height=caja1.alto +"px";
 			c1.style.backgroundColor = caja1.color;

 			c2.style.width=caja2.ancho +"px"; //hay que añadir las unidades
 			c2.style.height=caja2.alto +"px";
 			c2.style.backgroundColor = caja2.color;


 			/**
 			 * Tipos de objetos en js
 			 */
 			// dom (dentro del body),
 			// bom (browser), 
 			// los creados por nosotros, 
 			// los propios de javascript: string, number, math





		});
	</script>
</head>
<body>
	<div class="uno">
		Caja1
	</div>
	<div class="dos">
		Caja2
	</div>
</body>
</html>